# PartyExpPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PartyExpPhase

Provides EXP to the player's party without doing any Pokemon defeated checks or queueing extraneous post-battle phases Intended to be used as a more 1-off phase to provide exp to the party (such as during MEs), rather than cleanup a battle entirely

#### Hierarchy (View Summary)

- Phase
  - PartyExpPhase

- Defined in src/phases/party-exp-phase.ts:8

##### Index

### Constructors

constructor

### Properties

expValue
pokemonParticipantIds?
useWaveIndexMultiplier?

### Methods

end
start

## Constructors

### constructor

- new PartyExpPhase(
  expValue: number,
  useWaveIndexMultiplier?: boolean,
  pokemonParticipantIds?: Set<number>,
  ): PartyExpPhase

  #### Parameters

  - expValue: number
  - `Optional` useWaveIndexMultiplier: boolean
  - `Optional` pokemonParticipantIds: Set<number>

  #### Returns PartyExpPhase

  Overrides Phase.constructor

  - Defined in src/phases/party-exp-phase.ts:13

## Properties

### expValue

expValue: number

- Defined in src/phases/party-exp-phase.ts:9

### `Optional` pokemonParticipantIds

pokemonParticipantIds?: Set<number>

- Defined in src/phases/party-exp-phase.ts:11

### `Optional` useWaveIndexMultiplier

useWaveIndexMultiplier?: boolean

- Defined in src/phases/party-exp-phase.ts:10

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  Gives EXP to the party

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/party-exp-phase.ts:24